# Ogre::LinkedSkeletonAnimationSource Struct Reference

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

List of all members.

## Public Member Functions

| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, SkeletonPtr skelPtr)

## Public Attributes

String | skeletonName
SkeletonPtr | pSkeleton
Real | scale

## Detailed Description

Link to another skeleton to share animations.

Definition at line 507 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl |
| ) |  |  |

Definition at line 512 of file OgreSkeleton.h.

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | SkeletonPtr | skelPtr |
| ) |  |  |

Definition at line 514 of file OgreSkeleton.h.

## Member Data Documentation

String Ogre::LinkedSkeletonAnimationSource::skeletonName

Definition at line 509 of file OgreSkeleton.h.

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

Definition at line 510 of file OgreSkeleton.h.

Real Ogre::LinkedSkeletonAnimationSource::scale

Definition at line 511 of file OgreSkeleton.h.

The documentation for this struct was generated from the following file:

- OgreSkeleton.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:37:11 2009